#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k,i,rez=0,j;
    cin>>n>>k;
    int a[n];
    int uklonjen=0;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    float maxi = a[0];
    float mini = a[0];
    for(i=0; i<n; i++){
        if(maxi < a[i]){
            maxi = a[i];
        }
            rez=maxi;
    for(i=0;i<k-1;i++){
    for(i=1; i<n; i++){

        if(mini > a[i]){
            mini = a[i];
        }
    }
    for(i=1; i<n; i++){
        if(maxi < a[i]){
            maxi = a[i];
        }
    }
    rez=rez-mini;
}

    for(i=0;i<n;i++)
    {
        if (a[i]==mini)
        {
            uklonjen++;
            for (j=i;j<(n-1);j++)
            {
                a[j]=a[j+1];
            }
        }
    }
    }
    cout<<rez;
}